{% extends '_base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block title %} {{ contract_template.type }} | Edit Section {% endblock title %}

{% block content %}
</div>
</div>
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            {{ contract_template.type }}
        </p>
        <p class="subtitle">
            Edit a section in the contract template
        </p>
    </div>
</section>
<br>

<div class="column is-one-third is-offset-one-third">
    <div class="card">
        <div class="section">
            <h3 class="title is-3 has-text-centered mb-6">Edit Section </h3>

            <form action="{% url 'contract_template_section_edit' contract_template.id section.id %}" method="POST">
                {% csrf_token%}
                {{ section_form|crispy }}
                <button type="submit" class="button is-link"> Save </button>
                <a href="{% url 'contract_template_view' contract_template.id %}" class="button is-danger is-outlined"> Cancel </a>
            </form>
        </div>
    </div>
</div>
{% endblock %}
{% block additional_js %}
{{ section_form.media }}
{% endblock additional_js %}